| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleSystemFactory Struct Reference
[Mesh plugins]

Properties for particle system factory. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleSystemFactory:

[legend]
List of all members.

## Public Member Functions
virtual bool | GetDeepCreation () const =0
| Get if deep copy chould be used.
virtual void | SetDeepCreation (bool deep)=0
| Set if emitters and effectors should be deep-copied (cloned) when creating a particle system or if the ones in the factory should be reused.

## Detailed Description

Properties for particle system factory.

Definition at line 464 of file particles.h.

## Member Function Documentation

virtual bool iParticleSystemFactory::GetDeepCreation | ( |  | ) | const`[pure virtual]`

Get if deep copy chould be used.

virtual void iParticleSystemFactory::SetDeepCreation | ( | bool | deep | ) | `[pure virtual]`

Set if emitters and effectors should be deep-copied (cloned) when creating a particle system or if the ones in the factory should be reused.

The documentation for this struct was generated from the following file:

- imesh/particles.h